package be.ac.ua.cloudexchange;

import org.jfree.data.xy.XYSeries;

/**
 * Class that represents a wrapper around the JFreeChart class XYSeries
 * 
 * @author Vermeersch Kurt
 * @date October 2010
 */
public class CSVDataSeries {
	
	/** The xySeries */
	private XYSeries fSeries;

	/**
	 * Constructor for CSVDataSeries
	 * 
	 * @param name key for the series
	 */
	public CSVDataSeries(String name) {
		fSeries=new XYSeries(name);
	}
	
	/**
	 * @return the xySeries
	 */
	public XYSeries toXYSeries(){
		return fSeries;
	}

	/**
	 * Function to add a time-value pair to the series
	 * 
	 * @param time
	 * @param value
	 */
	public void add(long time, double value) {
		fSeries.add(time,value);
	}

}
